What models of Furuno NavNet MFDs are compatible with the BBWX4?

General

Question

What models of Furuno NavNet MFDs are compatible with the BBWX4?

Solution

The BBWX4 is compatible with TZtouch2 version 6.21 software and above, TZtouch version 6.01 (due Spring 2019) software and above. The BBWX4 is not compatible with NavNet 3D, NavNet VX2 or NavNet 1.